/* SPDX-License-Identifier: GPL-3.0-or-later */

*.unselectable {
    -webkit-user-select:   none;
    -webkit-touch-callout: none;
    -khtml-user-select:    none;
    -moz-user-select:      none;
    -ms-user-select:       none;
    user-select:           none;
}
body {
    font-size:	100%;
}
h1 {
    font-size:	2.5em;
}
h2 {
    font-size:	1.875em;
}
p {
    font-size:	0.875em;
}

title.main {
    display:    flex;
    align-items: center;
    justify-content: center;

    display:                    -webkit-flex;
    -webkit-align-items:	center;
    -webkit-justify-content:	center;

    text-align: center;
    font-family: ariel, helvetica, sans-serif;
    font-size: 160%;
    font-style: italic;
    color: cyan;
}

body.status {
    display:    flex;
    align-items: center;
    justify-content: center;

    display:                    -webkit-flex;
    -webkit-align-items:	center;
    -webkit-justify-content:	center;

    font-family: ariel, helvetica, sans-serif;
    background-color: lightgray;
    margin:	0px;
    padding: 0px;
    position: static;
}
.profilesControls {
    display:    flex;
    justify-content: center;

    display:    -webkit-flex;
    -webkit-justify-content: center;

    overflow:   hidden;
    margin-bottom: 20px;
}

#profilesTableHolder {
    /*overflow-y: hidden;*/
    overflow-x:	auto;
    margin-top:   30px;
    margin-bottom:10px;
    margin-left:  10px;
    margin-right: 10px;
}
#profilesTable {
    font-family: ariel, helvetica, sans-serif;
    font-size: 70%;
    border-collapse: collapse;
}
#profilesTableCaption {
    font-family: ariel, helvetica, sans-serif;
    font-size: 150%;
    font-weight: bold;
}
.profileLabel {
    background-color: bisque;
}
.profileLabelText {
    font-weight: bold;
    border:     none;
}
#profilesGraphHolder {
    background-color: bisque;
    overflow:	auto;
}
.generic_graph {
    background-color: bisque;
    direction:  ltr;
}
td {
    border: 1px solid #000;
    white-space: nowrap;
}
.setpoint {
    font-family: ariel, helvetica, sans-serif;
    font-size: 125%;
}
.durpoint {
    font-family: ariel, helvetica, sans-serif;
    font-size: 125%;
}

.yaxisticks text {
    font-size: 80%;
    fill: rgb(100, 100, 100);
}
.profileAxis path {
    stroke:	#000;
    stroke-width: 2px;
    fill:       none;
}
.profileSaveCancelButton {
    stroke:	black;
    stroke-width: 1px;
    fill:       #036;
}
.profileSaveCancelButton:hover {
    fill:       #69c;
    cursor:     pointer;
}
.profileSaveCancelButtonText {
    font-size:  90%;
    stroke:	none;
    fill:       white;
    pointer-events: none;
}
.runningButtonGroup {
    opacity:    0.8;
}
.runningResumeButton {
    stroke:	black;
    stroke-width: 1px;
    fill:       #036;
}
.runningResumeButton:hover {
    fill:       #69c;
    cursor:     pointer;
}
.runningResumeButtonText {
    font-size:  90%;
    stroke:	none;
    fill:       white;
    pointer-events: none;
}

/*.title_text text {*/
.title_Text {
    font-size: 130%;
    text-decoration: underline;
    fill: rgb(0, 0, 0);
    font-weight: bold;
    cursor:     pointer;
}
.axistext text {
    font-size: 125%;
    text-decoration: underline;
    fill: rgb(0, 0, 0);
}
.tick line {
    stroke:     #000;
/*    stroke-width: 2px; */
    fill:       none;
}
.tick text {
    font-size:  80%;
}
.currentTimeCursorText, .inspector_currentTimeCursorText {
    font-size:  80%;
}

.grid .tick {
    stroke: lightgrey;
    stroke-opacity: 0.7;
/*    shape-rendering: crispEdges; */
}
.grid path {
    stroke-width: 0;
}

div.tooltip {
    position:   absolute;
    text-align: center;
    width:      71px;
    height:     14px;
    padding:    2px;
    font:       12px sans-serif;
    background: lightsteelblue;
    border:     0px;
    border-radius: 8px;
    pointer-events: none;
}
.profileSetPointText {
    position:   absolute;
    text-align: center;
    font:       12px sans-serif;
}
.detailtooltipbox {
    text-align: center;
    padding:    2px;
    font:       12px sans-serif;
    fill: lightsteelblue;
    stroke:     white;
    stroke-width: 1;
    border-radius: 8px;
    pointer-events: none;
}


div#live_updateHolderContainer {
    display:    flex;
    align-items: center;

    display:                    -webkit-flex;
    -webkit-align-items:	center;

/*    width:	80%; */
    height:	96px;
    margin:     auto;
    transform-style: preserve-3d;
    -webkit-transform-style: preserve-3d;
}
div#live_updateHolder {
    display:    flex;
    align-items: center;

    display:                    -webkit-flex;
    -webkit-align-items:	center;

    margin:     auto;
    height:	64px;
    border-top:    2px solid black;
    border-bottom: 2px solid black;

    overflow-x: auto;
    overflow-y: hidden;
}
div#sensor_updateHolder {
    display:    flex;
    align-items: center;
    justify-content: center;

    display:                    -webkit-flex;
    -webkit-align-items:	center;
    -webkit-justify-content:	center;

    height:	64px;
    margin:     auto;
    border-left:  2px solid black;
    border-right: 2px solid black;
}
#sensor_update_title {
    font-weight: bold;
}
#sensor_update_title:hover {
    background: #888;
    cursor:     pointer;
}
.sensor_update {
    position:   relative;
    width:	128px;
    height:	64px;
    line-height: 60px;
    float:	left;
    text-align: center;
}
.isp_sensor_update {
    display:    flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    display:    -webkit-flex;
    -webkit-flex-direction: column;
    -webkit-align-items:	center;
    -webkit-justify-content:	center;

    width:	128px;
    height:	64px;
}
.isp_entry {
    font-size: 100%;
}
/* isp_sensor_overlay */
.isp_sol {
    background-color: #000;
    opacity:    .8;
    width:      168px;
    height:	168px;
    z-index:    10;

    border:	1px solid white;
    border-radius: 4px;
    color:      white;
}
/* isp_sensor_overlay_title */
.isp_sol_title {
    display:    flex;
    align-items: center;
    justify-content: center;

    display:    -webkit-flex;
    -webkit-align-items:	center;
    -webkit-justify-content:	center;

    font-weight: bold;
    font-size:  100%;
    padding:	0.5em;
}
/* isp_sensor_overlay_detail */
.isp_sol_detail {
    display:    flex;
    align-items: center;
    justify-content: center;

    display:    -webkit-flex;
    -webkit-align-items:	center;
    -webkit-justify-content:	center;
}
.isp_sol_key {
    display:    flex;
    display:    -webkit-flex;

    width:      32%;
    padding-right: 12px;

    justify-content: right;
    -webkit-justify-content:	rlight;
}
.isp_sol_val {
    display:    flex;
    display:    -webkit-flex;

    width:      68%;
}
.chartInspectorOverlay {
    position:   fixed;
    left:       0px;
    right:      0px;
    top:        0px;
    bottom:     0px;
}
.chartInspectorGraph {
    background-color: bisque;
}
// Inspector detail overlay
.inspector_dol {
    width:      200px;
    height:     100px;
    background-color: lightsteelblue;
    border:	2px solid black;
}
.inspector_chart_holder {
    overflow-x: scroll;
    overflow-y: hidden;
}
.inspect_history_TooltipGroupHolder {
    pointer-events: none;
}
.inspect_history_TooltipBox, .inspect_running_TooltipBox {
    font:       12px sans-serif;
    fill:	lightsteelblue;
    stroke:     black;
    stroke-width: 1;
    pointer-events: none;
}
#relay_updateHolder {
    display:    flex;
    align-items: center;
    justify-content: center;

    display:                    -webkit-flex;
    -webkit-align-items:	center;
    -webkit-justify-content:	center;

    height:	64px;
    margin:     auto;
    border-right: 2px solid black;
}
#relay_update_title {
    font-weight: bold;
}
.relay_update {
    position:   relative;
    height:	64px;
    line-height: 60px;
    float:	left;
    text-align: center;
}
.relay_update:hover {
    background: #888;
    cursor:     pointer;
}

div#navigation_holder {
    height:	94px;
    /* clear:   both; */
}
ul#navigation.status_navigation {
    margin:	0;
    padding:	0;
    list-style-type: none;
    background:	#036;
    float:	left;
    width:	100%;
    top:	0;
    border:	5px solid red;
}
ul#navigation li {
    display:	inline;
    margin:	0;
    padding:	0;
}
ul#navigation a {
    display:	block;
    float:	left;
    padding:	2em 5em;
    text-decoration: none;
    color:	#fff;
    background:	#036;
    border-right: 1px solid #fff;
}
ul#navigation a:hover {
    color:	#000;
    background:	#69c;
}

div#main_content {
    float:	right;
    width:	100%;
/*    height:	960px; */
    height:	800px;
    background:	#444;
    overflow:	hidden
}
div#content_1 {
    display:    block;
    width:	100%;
    height:	100%;
    background:	#947676;
    color:	#fff;
    overflow-y: auto;
}
div#content_2 {
    display:    block;
    width:	100%;
    height:	100%;
    background:	#366;
    color:	#fff;
    overflow-y: auto;
}
div#content_3 {
    display:    block;
    width:	100%;
    height:	100%;
    background:	#867676;
    color:	#fff;
    overflow:   auto;
}
div#content_4 {
    display:    block;
    width:	100%;
    height:	100%;
    background:	#947676;
    color:	#fff;
    overflow:   auto;
}

.page_title, .section_title {
    display:    flex;
    align-items: center;
    justify-content: center;

    display:                    -webkit-flex;
    -webkit-align-items:	center;
    -webkit-justify-content:	center;

    font-family: ariel, helvetica, sans-serif;
    font-size:  120%;
    font-weight: bold;
    background:	#555;
    color:      white;
    height:     60px;
    width:      100%;

}
.navigation_button {
    padding:    20px;
    cursor:     pointer;
    font-family: ariel, helvetica, sans-serif;
    font-size:  100%;
    width:      5%;
}
.navigation_button:hover {
    background:	#666;
}
.title_item {
}
.jobTemplatesTitle:hover {
    cursor:	pointer;
}

.relay_ison {
    font-weight: bold;
    color:      black;
}
.relay_isoff {
    font-weight: normal;
    color:      white;
}

/* running jobs */
#no_running_jobs {
    display:    none;
    justify-content: center;
    align-items:     center;

    -webkit-justify-content: center;
    -webkit-align-items:     center;

    border:	5px solid black;
    width:	50%;
    margin:     50px auto;
    height:	96px;
    padding:    70px;
    font-size:  120%;
    font-weight: bold;
    background-color: bisque;
    color:      black;
}

.running_job {
    background-color: bisque;
}

.context-menu {
    position:	absolute;
    display:	none;
    /*background-color: #f2f2f2; */
    background:	RGBA(148, 118, 118, 0.85);
    border-radius: 4px;
    font-family: Arial, Helvetica, sans-serif;
    font-size:	16px;
    min-width:	150px;
    /*border: 1px solid #d4d4d4;*/
    color:      white;
    border:	1px solid white;
    z-index:    1200;
}

.context-menu ul {
    list-style-type: none;
    margin: 4px 0px;
    padding: 0px;
    cursor: default;
}

.context-menu ul li {
    padding: 4px 16px;
}

.context-menu ul li:hover {
    /*background-color: #4677f8;*/
    color: #fefefe;
    background-color: #555;
}

#jobSaveButton {
    float:	left;
    margin-right: 5px;
    padding:	1em;
    text-decoration: none;
    background:	#036;
    width:      3.6em;
    min-width:  3.6em;
    border:	1px solid white;
    border-radius: 4px;
    text-align: center;

    -webkit-align-items:	center;
    -webkit-justify-content:	center;
}
#jobSaveButton a {
    display:    block;
    text-decoration: none;
    color:	#fff;
    background:	#036;
    margin:     0;
    padding:	16px;
}
#jobSaveButton:hover {
    color:      #000;
    background: #69c;
    cursor:     pointer;
}
#jobNameHolder {
    width:      11em;
    min-width:  11em;
    text-align: center;
    float:	left;
    margin-right: 5px;
    padding-top: 6px;
    border:	1px solid white;
    border-radius: 4px;
}
#jobName {
    width:      100%;
    width:      -moz-available;
    width:	-webkit-fill-available;

    padding:	0px;
}
#jobPreHeat {
    display:    flex;
    justify-content: center;
    align-items: center;

    margin-right: 5px;
    padding:	0.5em;
    width:      9em;
    min-width:  9em;
    height:     2.3em;
    border:	1px solid white;
    border-radius: 4px;

    display:                 -webkit-flex;
    -webkit-justify-content: center;
    -webkit-align-items:     center;
}
.selectorLabel {
    display:    flex;
    justify-content: center;
    text-decoration: underline;
    margin-bottom:   0.4em;

    display:                 -webkit-flex;
    -webkit-justify-content: center;
}
#jobProfileHolder {
    display:    flex;
    align-items: center;
    justify-content: center;

    display:                    -webkit-flex;
    -webkit-align-items:	center;
    -webkit-justify-content:	center;

    padding:	0.5em;
    margin-right: 5px;
    width:      9em;
    min-width:  9em;
    height:     2.3em;
    border:	1px solid white;
    border-radius: 4px;

    background-color: #cfb484;
}
#jobProfileHolder:hover {
    color:      #000;
    background: #69c;
    cursor:     pointer;
}
#jobSensorsHolder {
    float:	left;
    width:      11em;
    min-width:  11em;
    padding:	0.5em 0.5em 0.5em 0.4em;
    margin-right: 5px;
    border:	1px solid white;
    border-radius: 4px;
}
#jobRelaysHolder {
    float:	left;
    width:      6em;
    min-width:  6em;
    padding:	0.5em 0.5em 0.5em 0.5em;
    margin-right: 5px;
    border:	1px solid white;
    border-radius: 4px;
}
#dismissJobComposerButton {
    float:	left;
    margin-left: 5px;
    padding:	1em;
    text-decoration: none;
    background:	#036;
    width:      3.6em;
    min-width:      3.6em;
    border:	1px solid white;
    border-radius: 4px;
    text-align: center;

    -webkit-align-items:	center;
    -webkit-justify-content:	center;
}
#dismissJobComposerButton:hover {
    color:      #000;
    background: #69c;
    cursor:     pointer;
}

/* Templates page */
#jobsListHolder {
    border-bottom:	5px solid red;
    float:      left;
    width:      100%;
}
#jobTemplatesJobsListHolder {
    height:     256px;
    overflow-y: auto;
    direction:  rtl;
    margin-block-start: 5px;
    margin-block-end:   5px;
}
#jobTemplatesJobsTable {
    margin-top: 0px;
    padding:    0;
    width:      100%;
    font-family: "Lucida Console", Monaco, monospace;
    font-size:  80%;
    direction:  ltr;
}
/* New templates list */
#jobTemplatesHolder {
    display:    flex;
    justify-content: center;

    display:                    -webkit-flex;
    -webkit-justify-content:	center;

    height:     14em;
    overflow-y: auto;

}
#jobTemplatesListHolder {
    background: #366;
    overflow-x: auto;
    direction:  rtl;
}
.templateItem {
    display:    flex;
    align-items: center;
    justify-content: left;

    display:    -webkit-flex;
    -webkit-align-items: center;
    -webkit-justify-content: left;

    height:     44px;
    direction:  ltr;
    border-bottom: 1px solid #000;
}
.templateItemName {
    display:    flex;
    align-items: center;
    justify-content: left;

    display:    -webkit-flex;
    -webkit-align-items: center;
    -webkit-justify-content: left;

    margin-left: 2px;
    padding:    0 1em;
    width:      12em;
    height:     36px;
    border:	1px solid black;
    border-radius: 4px;
}
.templateItemPreheat {
    display:    flex;
    align-items: center;
    justify-content: center;

    display:    -webkit-flex;
    -webkit-align-items: center;
    -webkit-justify-content: center;

    width:      6em;
    height:     36px;
    margin-left: 1em;
    font-size:  95%;
    border:	1px solid black;
    border-radius: 4px;
}
.templateItemSensors:hover {
    cursor:     pointer;
}
.templateItemSensors {
    display:    flex;
    align-items: center;
    justify-content: center;

    display:    -webkit-flex;
    -webkit-align-items: center;
    -webkit-justify-content: center;

    width:      6em;
    height:     36px;
    margin-left: 1em;
    border:	1px solid black;
    border-radius: 4px;
}
.templateItemRelays:hover {
    cursor:     pointer;
}
.templateItemRelays {
    display:    flex;
    align-items: center;
    justify-content: center;

    display:    -webkit-flex;
    -webkit-align-items: center;
    -webkit-justify-content: center;

    width:      6em;
    height:     36px;
    margin-left: 1em;
    border:	1px solid black;
    border-radius: 4px;
}
.templateItemProfile {
    display:    flex;
    align-items: center;
    justify-content: left;

    display:    -webkit-flex;
    -webkit-align-items: center;
    -webkit-justify-content: left;

    width:      576px;
    height:     40px;
    margin-left: 1em;

    border:	1px solid black;
    border-radius: 4px;
}
.templateItemTooltip {
    position:	absolute;
    text-align:	center;
    padding:	8px;
    margin-top:	-20px;
    pointer-events: none;

    /*background-color: #f2f2f2; */
    background:	RGBA(148, 118, 118, 0.85);
    border-radius: 4px;
    font-family: Arial, Helvetica, sans-serif;
    font-size:	16px;
    min-width:	150px;
    min-height:	12px;
    /*border: 1px solid #d4d4d4;*/
    color:      white;
    border:	1px solid white;
    z-index:    1200;
}




div#jobComposer {
    margin:	0;
    padding:	0;
    list-style-type: none;
    float:	left;
    width:	100%;
    top:	0;
    display:    none;
}
#jobItemsHolderContainer {
    overflow-x: auto;
}
#jobItemsHolder {
    display:    flex;
    align-items: center;
    justify-content: center;

    display:    -webkit-flex;
    -webkit-align-items: center;
    -webkit-justify-content: center;

    min-width:  63em;
    min-width:  -moz-min-content;
    min-width:  -webkit-min-content;

    padding:    1em;
    overflow-x: hidden;
}
#historyList {
    display:    flex;
    align-items: center;
    justify-content: center;

    display:    -webkit-flex;
    -webkit-align-items: center;
    -webkit-justify-content: center;

}
#jobsHistoryHolder {
    float:      left;
    width:      100%;
    height:     54%;
}
.historyListJobsHolder {
    height:     22em;
    overflow-y: auto;
    direction:  rtl;
    margin-block-start: 5px;
    margin-block-end:   5px;
    width:      72.8em;
}
.historyElement {
    display:    flex;
    align-items: center;

    display:            -webkit-flex;
    -webkit-align-items: center;

    width:      100%;
    height:     43px;
    border-bottom: 1px solid #000;
    direction:  ltr;
}
.historyItemName {
    width:      16em;
    font-family: ariel, helvetica, sans-serif;
    font-size:  90%;
    padding-left: 10px;
}
.historyItemInstance {
    width:      16em;
    font-family: ariel, helvetica, sans-serif;
    font-size:  90%;
    cursor:     pointer;
}

.zoomBoxInput {
    font-size:  0.9em;
    background-color: transparent;
    text-align: center;
    border-width:       0;
    /*width:      100%;*/
    width:      3em;
    margin:     0px;
    color:      #fff;
}
.zoomBoxLabel {
    display:    block;
    font-size:  .8em;
}
.zoomBoxButton {
    color:      #555;
    background-color: #b5b198;
    color:      transparent;
    background-color: transparent;

    /* rounded corners */
    -webkit-border-radius: 6px;
    border-radius: 6px;
    -moz-background-clip: padding; -webkit-background-clip: padding-box;
    background-clip: padding-box;
    font-weight: bold;
    height:     1.3em;
}
.zoomBoxButton:hover, .zoomBoxButton:active, .zoomBoxButton:focus {
    background-color:   #cbc7ae;
}
.zoomBox:hover {
    opacity:    1.0;
}
.zoomBox {
    display:    flex;
    align-items: center;
    justify-content: center;

    display:    -webkit-flex;
    -webkit-align-items: center;
    -webkit-justify-content: center;

    background-color:      #555;
    color:      #c4be92;
    opacity:    0.0;

    /* rounded corners */
    -webkit-border-radius: 8px;
    border-radius: 8px;
    -moz-background-clip: padding; -webkit-background-clip: padding-box;
    background-clip: padding-box;
    padding:    .1em;
    width:      8em;
    height:     1.8em;
    margin:    10px;
    -webkit-box-shadow: 0px 0px 6px 0px #000;
    box-shadow: 0px 0px 6px 0px #000;
}


.inspect_history_Axis path {
    stroke:	#000;
    stroke-width: 2px;
    fill:       none;
}
.historyAxis path {
    stroke:	#000;
    stroke-width: 2px;
    fill:       none;
}
.historyElementGraph {
    direction:  ltr;
    border-bottom: 1px solid #000;
    background-color: bisque;
    display:    none;
    overflow-x: auto;
}
.jobsListHolder {
    height:     296px;
    overflow-y: auto;
    direction:  rtl;
    margin-block-start: 5px;
    margin-block-end:   5px;
}
.jobElement {
    display:    flex;
    align-items: center;

    display:            -webkit-flex;
    -webkit-align-items: center;

    height:     40px;
    margin:     3px;
    border:	1px solid #000;
    border-radius: 4px;
    direction:  ltr;
}
.jobCantStart {
    display:    flex;
    align-items: center;
    justify-content: center;

    display:            -webkit-flex;
    -webkit-align-items: center;
    -webkit-justify-content: center;

    height:     40px;
    margin:     3px;
    border:	1px solid #000;
    border-radius: 4px;
    direction:  ltr;
    background:	#dc7676;
}
.jobCantStartName {
    display:    flex;
    align-items: center;
    justify-content: center;

    display:    -webkit-flex;
    -webkit-align-items: center;
    -webkit-justify-content: center;

    margin-left: 2px;
    padding:    0 1em;
    height:     36px;
}
.jobElementGraph {
    direction:  ltr;
    border-bottom: 1px solid #000;
    background-color: bisque;
    display:    none;
    overflow-x: auto;
}
.jobItemName {
    display:    flex;
    align-items: center;
    justify-content: left;

    display:    -webkit-flex;
    -webkit-align-items: center;
    -webkit-justify-content: left;

    margin-left: 2px;
    padding:    0 1em;
    width:      12em;
    height:     36px;
}
.jobItemInstance {
    display:    flex;
    align-items: center;
    justify-content: left;

    display:    -webkit-flex;
    -webkit-align-items: center;
    -webkit-justify-content: left;

    margin-left: 2px;
    padding:    0 1em;
    width:      12em;
    height:     36px;

    cursor:     pointer;
}

#configHolder {
    display:    flex;
    justify-content: center;
    align-items: center;

    display:                    -webkit-flex;
    -webkit-justify-content:	center;
    align-items: center;

    margin-top: 32px;
}
#configEntryHolder {
    border:	1px solid #000;
}
.configItem {
}
.configItemName {
    float:      left;
    width:      256px;
    text-align: right;
    margin:     3px 10px;
}
.configItemData {
    float:      left;
    width:      256px;
    margin:     3px 10px;
    text-align: center;
}
.configItemDataValue {
    width:      10em;
    margin:     3px 10px;
    border:	2px solid #000;
}
.configItemDataValueInput,.configItemSensorFudge,.configItemSensorIspindel {
    width:      94%;
    text-align: center;
}
.configItemSensorFudge,.configItemSensorIspindel {
    text-align: center;
}
.config_label {
    display:    inline-block;
    float:      left;
    clear:      left;
    width:      256px;
    text-align: right;
    margin:     3px 10px;
}
.config_input {
    display:    inline-block;
    float:      left;
    width:      100px;
    margin:     3px 10px;
}

/* ex:set ai shiftwidth=4 inputtab=spaces smarttab noautotab: */
